Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155155 - Trying to start network device ifcfg
Summary: Trying to start network device ifcfg
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-17 07:13 UTC by Daniel Malmgren
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 05:28:40 UTC


Attachments (Terms of Use)

Description Daniel Malmgren 2005-04-17 07:13:14 UTC
Description of problem:
I get errors during bootup about ifcfg-ifcfg not existing.

Version-Release number of selected component (if applicable):
8.08-2

How reproducible:
100%

Steps to Reproduce:
1. start the network
  
Actual results:
Starting device loopback:                               [  OK  ]
fgrep: ifcfg-ifcfg: No such file or directory
fgrep: ifcfg-ifcfg: No such file or directory
fgrep: ifcfg-ifcfg: No such file or directory
fgrep: ifcfg-ifcfg: No such file or directory
egrep: ifcfg-ifcfg: No such file or directory
Starting device ifcfg:  Usage: ifcfg DEV [[add|del [ADDR[/LEN]] [PEER] | stop]
       add - add new address
       del - delete address
       stop - completely disable IP
                                                        [FAILED]
Starting device ADSL:                                   [  OK  ]


Expected results:
No errors

Additional info:

Comment 1 Bill Nottingham 2005-04-18 15:38:07 UTC
Can you do 'ls /etc/sysconfig/network-scripts' ?

Comment 2 Daniel Malmgren 2005-04-19 05:25:24 UTC
ifcfg           ifdown-ippp   ifdown-sl     ifup-ipv6   ifup-routes
ifcfg-Bostream  ifdown-ipsec  ifup          ifup-ipx    ifup-sit
ifcfg-lo        ifdown-ipv6   ifup-aliases  ifup-isdn   ifup-sl
ifdown          ifdown-isdn   ifup-bnep     ifup-plip   ifup-wireless
ifdown-aliases  ifdown-post   ifup-eth      ifup-plusb  init.ipv6-global
ifdown-bnep     ifdown-ppp    ifup-ippp     ifup-post   network-functions
ifdown-eth      ifdown-sit    ifup-ipsec    ifup-ppp    network-functions-ipv6

Comment 3 Daniel Malmgren 2005-04-19 05:28:40 UTC
Hmmm... At a closer look, the file ifcfg looked strange. It is from 2002 and
empty. Removing it seems to fix this issue.

Seems strange though that this didn't give any problems in previous initscripts (?).

Comment 4 Bill Nottingham 2005-04-19 15:01:20 UTC
The search for available configs was optimized somewhat in 8.08-1; it uses
slightly different code.


Note You need to log in before you can comment on or make changes to this bug.